## debian-reference 1.11

=== Makefile ===
#
# New Makefile Template (Osamu Aoki)
#
#  Build html(multi-page), txt, ps, pdf, and other formats.
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Woody system                     #
#   "ps" and "pdf" tends to break in some ill-configured systems      #
# ------------------------------------------------------------------- #
# Read local texmf.cnf file

export TEXMFCNF=texmf:

# do not use default suffix rules such as .tex.dvi: (uses tex, not latex!)
.SUFFIXES:

# Following default shall be edited by the coordinator for the entire
# set of languages.  If a subsection owner wishes to override settings,
# they can be overridden by running make with "make 'LANGS1=fi'" etc.. 

# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-dependent SGML (DDP default, generated)
#MANUAL := $(notdir $(CURDIR))
MANUAL1 := reference
MANUAL2 := quick-reference

# Build option
BUILD_OPT := 

# Basename for language-independent SGML-template and tar-ball name.
MANUAL0 := qref

# Build type: Possible values are BUILD_TYPE = web|package|sf
BUILD_TYPE  := web

# Publish directory
# This can and will be overridden by a higher level makefile
ifeq ("$(BUILD_TYPE)", "sf")
PUBLISHDIR := ~/public_html
else
PUBLISHDIR := /org/www.debian.org/www/doc/manuals
endif

# This can and will be overridden by a higher level makefile
ifeq ("$(SFUSER)", "")
SFUSER := $$USER
endif

ifeq ("$(LANGS)", "")
LANGS := $$LANGS
endif
ifeq ("$(BUILD_TYPE)", "sf")
# Locales for "distclean" target for the sf:
LANGSALL := en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the sf full documents:
LANGS1 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the sf short documents:
LANGS2 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
else
# Locales for "distclean" target for the DDP:
LANGSALL := en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the DDP full documents:
LANGS1 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
# Locale list of "publish" target for the DDP short documents:
LANGS2 :=   en fr it es de pt-br pl zh-tw zh-cn ja ru fi
endif

# Files which affect SGML generation (excluding *.sgml)
SGMLENTS := default.ent

# All SGML source files
SGMLSRCS := $(foreach lang, $(LANGS1), $(MANUAL1).$(lang).sgml) \
	    $(foreach lang, $(LANGS2), $(MANUAL2).$(lang).sgml) \
	    $(foreach lang, $(LANGS1), $(wildcard $(lang)/*.sgml ) ) \
	    $(SGMLENTS)

# Name for example directory
EXAMPLE := examples

# List of examples to be copied
EXAMPLES := $(wildcard $(EXAMPLE)/*)

TARSRCS = $(EXAMPLES) bin/* texmf/* $(SGMLSRCS) Makefile README 
# =================================================================== #
#                 Build target default part: Routine                  #
# =================================================================== #
all: html txt ps pdf README

### Full guide

# List of html stamp files to be built
HTMLS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).html.stamp)

# List of txt to be built
TXTS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).txt)

# List of dvi to be built
DVIS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).dvi)

# List of ps to be built
PSS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).ps)

# List of pdf to be built
PDFS1 := $(foreach lang,$(LANGS1),$(MANUAL1).$(lang).pdf)

### QUICK guide

# List of html stamp files to be built
HTMLS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).html.stamp)

# List of txt to be built
TXTS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).txt)

# List of dvi to be built
DVIS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).dvi)

# List of ps to be built
PSS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).ps)

# List of pdf to be built
PDFS2 := $(foreach lang,$(LANGS2),$(MANUAL2).$(lang).pdf)

# =================================================================== #
#                 Build target part: Customize                        #
# =================================================================== #
# If some languages have problems building, filter-out in here.

html1: $(HTMLS1)
html2: $(HTMLS2)
html: html1 html2
text1 txt1:  $(TXTS1)
text2 txt2:  $(TXTS2)
text txt:  text1 text2
dvi1:   $(DVIS1)
dvi2:   $(DVIS2)
dvi:   dvi1 dvi2
ps1:   $(PSS1)
ps2:   $(PSS2)
ps:   ps1 ps2
pdf1:  $(PDFS1)
pdf2:  $(PDFS2)
pdf:  pdf1 pdf2
tar:  $(MANUAL1).tar.gz
publish: publish-html publish-txt publish-examples publish-ps publish-pdf
publish-all: publish publish-tar

# =================================================================== #
#                 Build rule part: If not package build               #
# =================================================================== #

## FULL
$(MANUAL1).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"$$(bin/getdocdate $*)\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@
	echo "<!ENTITY % f-ref   \"INCLUDE\">" >> $@ 
	echo "<!ENTITY % q-ref   \"IGNORE\">" >> $@ 

## QUICK
$(MANUAL2).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"$$(bin/getdocdate $*)\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@
	# if "Debian Quick Reference" (about 20 pages max)
	echo "<!ENTITY % f-ref   \"IGNORE\">" >> $@ 
	echo "<!ENTITY % q-ref   \"INCLUDE\">" >> $@

# Version list
README: README.org
	-bin/doc-check -ha  >README.html
	-w3m -dump -cols 78 README.html >README.txt
	sed -e "/^  ----------------------------------------------------------------------------/r README.txt"  \
	   <README.org >README
	-rm README.html README.txt

# =================================================================== #
#                 Build rule part: Routine                            #
# =================================================================== #

# SGML

# Create starting SGML for each language from the template.  Actual
# contents reside in language-segregated subdirectories.

$(MANUAL1).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL1)/g" \
	        $< > $(MANUAL1).$*.sgml

$(MANUAL2).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL2)/g" \
	        $< > $(MANUAL2).$*.sgml

# If SGML for original language "en" does not use mid-extension
#%.en.sgml: %.sgml
#	ln -sf $*.sgml $*.en.sgml

# HTML

$(MANUAL1).%.html.stamp: $(MANUAL1).%.sgml  $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.html.ent fix.ent
	debiandoc2html $(BUILD_OPT) -l $$(echo $* | bin/getlocale) -c $<
	bin/fixhtml $* $(MANUAL1).$*.html
# since $(MANUAL1).%.html/index.%.html cannot be a target file
	touch $(MANUAL1).$*.html.stamp

$(MANUAL2).%.html.stamp: $(MANUAL2).%.sgml  $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.html.ent fix.ent
	debiandoc2html $(BUILD_OPT) -l $$(echo $* | bin/getlocale) -c $<
	bin/fixhtml $* $(MANUAL2).$*.html
# since $(MANUAL2).%.html/index.%.html cannot be a target file
	touch $(MANUAL2).$*.html.stamp

# TXT

$(MANUAL1).%.txt: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.txt.ent fix.ent
	debiandoc2text $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
	bin/fixtxt $* $(MANUAL1).$*.txt

$(MANUAL2).%.txt: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.txt.ent fix.ent
	debiandoc2text $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
	bin/fixtxt $* $(MANUAL2).$*.txt

# DVI

$(MANUAL1).%.dvi: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexdvi $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

$(MANUAL2).%.dvi: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexdvi $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

# PS

$(MANUAL1).%.ps: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexps $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

$(MANUAL2).%.ps: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS)
	ln -sf fix.latex.ent fix.ent
	debiandoc2latexps $(BUILD_OPT) -s bin/fixlatex -l  $$(echo $* | bin/getlocale) $<

# PDF

$(MANUAL1).%.pdf: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS) \
                  %/hyperref-full.cfg
	ln -sf fix.latex.ent fix.ent
	ln -sf $*/hyperref-full.cfg hyperref.cfg
	debiandoc2latexpdf $(BUILD_OPT) -s bin/fixlatex -l $$(echo $* | bin/getlocale) $<

$(MANUAL2).%.pdf: $(MANUAL2).%.sgml $(MANUAL2).%.ent $(SGMLSRCS) \
                  %/hyperref-quick.cfg
	ln -sf fix.latex.ent fix.ent
	ln -sf $*/hyperref-quick.cfg hyperref.cfg
	debiandoc2latexpdf $(BUILD_OPT) -s bin/fixlatex -l $$(echo $* | bin/getlocale) $<

# XML
$(MANUAL1).%.xml: $(MANUAL1).%.sgml $(MANUAL1).%.ent $(SGMLSRCS)
	ln -sf fix.txt.ent fix.ent
	debiandoc2xml $(BUILD_OPT) -l     $$(echo $* | bin/getlocale) $<
#	bin/fixtxt $* $(MANUAL1).$*.txt

# TAR

$(MANUAL0).tar.gz: $(TARSRCS)
	@tar cvzf $(MANUAL0).tar.gz $(TARSRCS)

# =================================================================== #
#                 Build rule part: Web publish                        #
# =================================================================== #

publish-html: publish-html1 publish-html2
publish-html1: html1
# Ugly but until updating all the web pages, needs these symlinks
ifeq ("$(BUILD_TYPE)", "web")
	cd $(PUBLISHDIR) ; rm -Rf reference
	cd $(PUBLISHDIR) ; rm -Rf debian-reference
endif
	test -d $(PUBLISHDIR)/$(MANUAL1) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL1)
	rm -f $(PUBLISHDIR)/$(MANUAL1)/*.html
	rm -f $(PUBLISHDIR)/$(MANUAL1)/README
	# install all html
	@$(foreach lang,$(LANGS1),\
	 install -p -m 644 $(MANUAL1).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL1)/ ;\
	)
# Ugly but until updating all the web pages, needs these symlinks
ifeq ("$(BUILD_TYPE)", "web")
	cd $(PUBLISHDIR) ; ln -sf $(MANUAL1) debian-reference
endif

publish-html2: html2
# Ugly but until updating all the web pages, needs these symlinks
ifeq ("$(BUILD_TYPE)", "web")
	cd $(PUBLISHDIR) ; rm -Rf quick-reference
endif
	test -d $(PUBLISHDIR)/$(MANUAL2) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL2)
	rm -f $(PUBLISHDIR)/$(MANUAL2)/*.html
	rm -f $(PUBLISHDIR)/$(MANUAL2)/README
	# install all html
	@$(foreach lang,$(LANGS2),\
	 install -p -m 644 $(MANUAL2).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL2)/ ;\
	)

publish-examples: $(EXAMPLES)
	test -d $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)
	@install -p -m 644  --preserve-timestamps \
	 `find $(EXAMPLE) -type f -maxdepth 1` $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/
# these were for linda but lintian complains. so disabled
#	chmod 700 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/go-woody
#	chmod 700 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/fetchmail
#	chmod 775 $(PUBLISHDIR)/$(MANUAL1)/$(EXAMPLE)/backup

# No more example for short document
#	test -d $(PUBLISHDIR)/$(MANUAL2) \
#	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL2)
#	cd $(PUBLISHDIR)/$(MANUAL2) ; rm -f $(EXAMPLE) ; ln -sf ../$(MANUAL1)/$(EXAMPLE) $(EXAMPLE)


publish-txt:  publish-txt1 publish-txt2

publish-txt1:  txt1
	# install all txt1
	test -d $(PUBLISHDIR)/$(MANUAL1) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL1)
	rm -f $(PUBLISHDIR)/$(MANUAL1)/*.txt
	# install all txt1
