=== debian/changelog ===
debian-reference (1.11) unstable; urgency=high

  * Merge DDP Makefile functionality from DDP to the packaged one 
    while adjusting html page generation code and URL references,
    Also now we use sensible-browser. Closes: 384832
  * Updated initial install example packages (all). Closes: 406746
  * Provided desktop file for GNOME/KDE/... menu entry. Closes: 407042
  * Removed m17n-env from translations (all applicable ones).
  * Updated README.Debian and README.
  * Updated translations and marked some chapters as old in the main 
    text whenever possible.

 -- Osamu Aoki <osamu@debian.org>  Sun, 14 Jan 2007 19:36:37 +0900

debian-reference (1.10) unstable; urgency=medium

  * Updated reference pointers per David Van Mosselbeen.
    Closes: 350523, 350530, 350534, 350537
  * Updated example of the additional packages. Closes: 355655
  * Updated kernel.sgml(en) and removed old 2.4 contents for etch 
    following the advise from Frans Pop. Closes: 355668 
  * Dropped slocate. Closes: 359790
  * Recommended interface naming issues by udev (en).  Closes: 364500
  * Added C reference URLs. Closes: 391623
  * Fixed frozen reference. Closes: 394479
  * Added debconf-{get|set}-selections. Closes: 391624
  * Typo fix (fr). Closes: 355653
  * Updated translations from translators.

 -- Osamu Aoki <osamu@debian.org>  Sat, 13 Jan 2007 05:17:46 +0900

debian-reference (1.09-4) unstable; urgency=medium

  * Set the build-dependency on tetex-bin to (>= 3.0-24).
    This fixes a serious pdfTeX issue that only allowed a limited
    set of VF fonts, hence the medium urgency. [danai]  Closes: #397571
  * Updated font dependency per Frank Küster and Danai SAE-HAN
    for Chinese and Japanese following latex-cjk-* packages'
    recommends fields.
    Remove the build-dependency on the hbf-* packages as well. [danai]
  * Clean *.tex-in too.

 -- Osamu Aoki <osamu@debian.org>  Wed,  8 Nov 2006 23:43:59 +0900

debian-reference (1.09-3) unstable; urgency=low

  * Fixed TOC bullets in HTML by rebuilding with debiandoc-sgml (1.1.95)
  * Updated zh_CN translation.

 -- Osamu Aoki <osamu@debian.org>  Sun, 12 Mar 2006 22:42:43 +0900

debian-reference (1.09-2) unstable; urgency=low

  * Updated to reflect new aptitude behavior.  Closes: #343982
  * Updated zh_TW translation.
  * Removed RUTE book web link for all languages. Closes: #346451
  * Updated to prepare for removal of debmake.

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Jan 2006 17:29:59 +0900

debian-reference (1.09-1) unstable; urgency=high

  * Fixed most of #328708 per Ralph Katz addressed.
  * Added MAKEDEV call in chroot instructions per Joachim Reichel.
    Closes: #320247
  * Updated localhost line in /etc/hosts.
  * Translation updates: JA, ZH-CN
  * Refined multi line style shell example explanation per
    Stephen Carpenter, KSC.
  * Retire David Sewell from Editor per his request.
  * Reverted (La)TeX workarounds in Makefile introduced in 1.07-11;
    Makefile no longer creates LaTeX format files to support more
    language hyphenation patterns since all languages are already
    activated by default in tetex.  It was one of the cause of FTBFS.
  * Build with debiandoc-sgml (1.1.93) which fixes FTBFS for zh-cn.ps.
    This was caused by the TeTeX version difference.
    Closes: #337259
  * Cleaned old bin/fixlatex script which code was integrated into
    debiandoc-sgml package. Since www-master (compiles DDP documents) runs
    now Sarge there is no need to keep this old code. This script is still
    used but only for minor (not build related) issues. It's now called
    via -s option of debiandoc-sgml tools so this versioned dependency was
    adjusted. [jens]
  * Removed wrapper scripts bin/debiandoc2latexdvi, bin/debiandoc2latexpdf
    and bin/debiandoc2latexps. [jens]
    The last change required me to make a new upstream release.

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2005 17:11:15 +0900

debian-reference (1.08-4) unstable; urgency=low

  * Fixed an error in a dd command example for all languages. Thanks
    Faris Xiao. Closes: #322519
  * Fixed an error in a exim4 configuration for all languages. Thanks
    Faris Xiao. Closes: #325777
  * Chenged to use /usr/local/sbin/get-mac-address.sh per Faris Xiao
    and Thomas Hood for all languages. Closes: #322678
  * Updated rm -rf .* reference in the English tips.sgml to match with
    the current Debian rm command. Thanks Faris Xiao. Closes: #322676
  * Updated .bashrc and .bash.profile examples. Closes: #317397

 -- Osamu Aoki <osamu@debian.org>  Sat, 24 Sep 2005 11:57:57 +0900

debian-reference (1.08-3) unstable; urgency=low

  * Kernel config for deactivating PCMCIA updated.  Thanks Robert
    Cymbala.
  * Backup script example updated with more comments. 
    Thanks Sam George. Closes: #306936
  * Translation updates: JA, FR

 -- Osamu Aoki <osamu@debian.org>  Sun,  1 May 2005 09:45:18 +0200

debian-reference (1.08-2) unstable; urgency=low

  * Translation updates: JA, DE, FR, ZH-TW, ES
  * Update build script for debiandoc-sgml 1.1.85

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 Mar 2005 23:06:58 +0100

debian-reference (1.08-1) unstable; urgency=low

  * Fix debian/rule to avoid duplicate building. (Osamu/Jens)
  * Explain mcedit advantage. (Osamu)
  * Typo fix (Jens)
  * Translation updates merged EN, FR, JA, RU, NL, ZH-CN ZH-TW

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Jan 2005 09:10:56 +0100

debian-reference (1.07-18) unstable; urgency=low

  * Proofreading of the English original by Jens Seidel.
  * Fixed for all languages:
    - Contents-*.gz location in archive mentioned in chapter 2 
      and use wget in pattern search script. Closes: #283040
    - Substituted or removed references to linuxcookbook by 
      rutebook in the tutorial section.
    - URL references updated.
      - Debian mirror etc. per Thomas Albrecht.
      - sysadmin-guide per Bram Mertens.
    - Updated Chgapter 2 details per Thomas Albrecht.

