=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Build-Depends-Indep: debiandoc-sgml (>= 1.1.95), tetex-bin (>= 3.0-24), tetex-extra, w3m (>= 0.3) | w3m-ssl (>= 0.3) | w3mmee (>= 0.3), latex-cjk-all, freetype1-tools, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, gs-esp | gs
Standards-Version: 3.7.2

Package: debian-reference
Architecture: all
Depends: debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Suggests: quick-reference-en, quick-reference-fr, quick-reference-de, quick-reference-it, quick-reference-es, quick-reference-pt-br, quick-reference-pl, quick-reference-zh-tw, quick-reference-zh-cn, quick-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/.

Package: debian-reference-common
Architecture: all
Recommends: debian-reference-en
Suggests: mc, lynx | www-browser
Description: Debian system administration guide, common examples
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 1.06-7)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-en
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, English excerpt 
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-fr
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, French translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-fr
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, French excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-it
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Italian translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-it
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Italian excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-ja
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Japanese translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-ja
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Japanese excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-es
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Spanish translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-es
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Spanish excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-de
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, German translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-de
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, German excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-pt-br
Architecture: all
Suggests: doc-base
Depends: debian-reference-common (>= 1.06-7)
Description: Debian system administration guide, Portuguese translation
 This Debian Reference (http://qref.sourceforge.net/) covers many
 aspects of system administration through shell-command examples.  Basic
 tutorials, tips, and other information are provided for topics
 including fundamental concepts of the Debian system, system installation
 hints, Debian package management, the Linux kernel under Debian, system
 tuning, building a gateway, text editors, CVS, programming, and GnuPG
 for non-developers.  For help with emergency system maintenance,
 proceed to Section 6.3, `Debian survival commands', immediately.  The
 latest official version is http://www.debian.org/doc/manuals/reference/
 and the latest development version is
 http://qref.sourceforge.net/quick/.  The project is hosted at
 http://qref.sourceforge.net/. 

Package: quick-reference-pt-br
Architecture: all
Suggests: doc-base
Description: Debian system administration guide, Portuguese excerpt
 This Debian Quick Reference (http://qref.sourceforge.net/) is intended
 to provide a short introduction to the Debian system as a _quick
 reference_.  This is an excerpt of Debian Reference
 (http://qref.sourceforge.net/).

Package: debian-reference-pl
Architecture: all
Suggests: doc-base
